Skip to main content
System Management/System Settings/Global Setting
GETGlobal SettingSince 0.6SynchronousAuth Required

Query Global Settings

Query Global Settings

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • inventoriesListRequired

    See inventories for details

    • nameStringRequired

      Resource name

    • categoryStringRequired

      类型分类。

    • descriptionStringRequired

      The detailed description of the resource

    • defaultValueStringRequired

      默认值。

    • valueStringRequired

      字段值。

Endpoint

GET/zstack/v1/global-configurations

/zstack/v1/global-configurations

Operation ID

QueryGlobalConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/global-configurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "reservedCapacity", "category": "backupStorage", "description": "Reserved capcacity on every backup storage", "defaultValue": "1G", "value": "2G" } ] }

Change History

This API has no change history records yet.

View all change history